Bug 24777 - Use patron.is_debarred instead of patron.debarred in return.tt
Summary: Use patron.is_debarred instead of patron.debarred in return.tt
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-02 14:58 UTC by Fridolin SOMERS
Modified: 2020-04-10 15:27 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05


Attachments
Bug 24777: Use patron.is_debarred instead of patron.debarred in return.tt (2.80 KB, patch)
2020-03-02 15:09 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 24777: Use patron.is_debarred instead of patron.debarred in return.tt (2.94 KB, patch)
2020-03-06 15:14 UTC, Devinim
Details | Diff | Splinter Review
Bug 24777: Use patron.is_debarred instead of patron.debarred in return.tt (3.01 KB, patch)
2020-03-10 12:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2020-03-02 14:58:52 UTC
In return page return.tt, when there is an hold message, patron is said as restricted even if restriction end date is in the past.
Comment 1 Fridolin SOMERS 2020-03-02 15:09:59 UTC
Created attachment 99926 [details] [review]
Bug 24777: Use patron.is_debarred instead of patron.debarred in return.tt

In return page return.tt, when there is an hold message, patron is said as restricted even if restriction end date is in the past.

Test plan :
1) For a patron Jon Doe create a manual restriction with end date in the past
2) Create an hold for this patron on an item
3) Check in this item => You don't see message "Patron is RESTRICTED"
4) For a patron Kevin Doe create a manual restriction with end date in the future
5) Create an hold for this patron on an item
6) Check in this item => You see message "Patron is RESTRICTED"
7) Repeate 1-6 with system preference HoldsAutoFill enabled
8) Repeate 1-6 with a waiting hold
Comment 2 Devinim 2020-03-06 15:14:48 UTC
Created attachment 100276 [details] [review]
Bug 24777: Use patron.is_debarred instead of patron.debarred in return.tt

In return page return.tt, when there is an hold message, patron is said as restricted even if restriction end date is in the past.

Test plan :
1) For a patron Jon Doe create a manual restriction with end date in the past
2) Create an hold for this patron on an item
3) Check in this item => You don't see message "Patron is RESTRICTED"
4) For a patron Kevin Doe create a manual restriction with end date in the future
5) Create an hold for this patron on an item
6) Check in this item => You see message "Patron is RESTRICTED"
7) Repeate 1-6 with system preference HoldsAutoFill enabled
8) Repeate 1-6 with a waiting hold

Signed-off-by: Devinim <nazli@devinim.com.tr>
Comment 3 Jonathan Druart 2020-03-10 12:56:09 UTC
Created attachment 100457 [details] [review]
Bug 24777: Use patron.is_debarred instead of patron.debarred in return.tt

In return page return.tt, when there is an hold message, patron is said as restricted even if restriction end date is in the past.

Test plan :
1) For a patron Jon Doe create a manual restriction with end date in the past
2) Create an hold for this patron on an item
3) Check in this item => You don't see message "Patron is RESTRICTED"
4) For a patron Kevin Doe create a manual restriction with end date in the future
5) Create an hold for this patron on an item
6) Check in this item => You see message "Patron is RESTRICTED"
7) Repeate 1-6 with system preference HoldsAutoFill enabled
8) Repeate 1-6 with a waiting hold

Signed-off-by: Nazlı Çetin <nazli@devinim.com.tr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2020-03-10 15:17:45 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-04-02 20:38:59 UTC
Backported to 19.11.x for 19.11.05
Comment 6 Lucas Gass 2020-04-10 15:27:33 UTC
doesnt apply clean to 19.05.x, no backport